dp12: Data Structures

| dp12 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

XDp | The XDp instance data
XDp_Config | This typedef contains configuration information for the DisplayPort core
XDp_Rx | The XDp driver instance data representing the RX mode of operation
XDp_RxDpcdMap | This typedef represents the DPCD address map for a device
XDp_RxIicMapEntry | This typedef represents one I2C map entry for a device
XDp_RxLinkConfig | This typedef contains configuration information about the main link settings
XDp_RxPort | This typedef contains information on the directly connected ports to the RX branch
XDp_RxTopology | This typedef contains topology information on directly connected sinks and of the RX branch itself
XDp_SbMsgLinkAddressReplyDeviceInfo | This typedef describes a DisplayPort branch device
XDp_SbMsgLinkAddressReplyPortDetail | This typedef describes a port that is connected to a DisplayPort branch device
XDp_Tx | The XDp driver instance data representing the TX mode of operation
XDp_TxBoardChar | This typedef describes some board characteristics information that affects link training
XDp_TxLinkConfig | This typedef contains configuration information about the main link settings
XDp_TxMainStreamAttributes | This typedef contains the main stream attributes which determine how the video will be displayed
XDp_TxMstStream | This typedef describes a stream when the driver is running in multi-stream transport (MST) mode
XDp_TxSinkConfig | This typedef contains configuration information about the RX device
XDp_TxTopology | This typedef describes a the entire topology of connected downstream DisplayPort devices (from the DisplayPort TX) when the driver is operating in multi-stream transport (MST) mode
XDp_TxTopologyNode | This typedef describes a downstream DisplayPort device when the driver is running in multi-stream transport (MST) mode